Subject: bug#2403: And the guilty is: Garbage Collecting leak

From: Stefan Monnier <[email-masked]>
Date: Mon, 30 Mar 2009 11:42:41 -0400

> Took time to trace/debug with the help of Pascal Stenuit: The bug and
> pattern seems to be a leak in GC due to a missing GCUNPRO...

Than you very much, installed.

> This result in a unclean gcprolist in AIX (I do think the bug is "all
> arch", just badly visible in AIX and some specific GNU/Linux arch -
> other archs will just leak)...

Other arches don't use GCPROs at all, instead they conservatively scan
the whole stack.  They do that by setting

   #define GC_MARK_STACK GC_MAKE_GCPROS_NOOPS

in the corresponding emacs/src/s/*.h.  This is the preferred way to
function, so if you can test it and confirm that it works as well under
AIX, we could set it for that OS as well.

        Stefan